{% extends "base.html" %}

{% load i18n %}
{% load static %}
{% load stats %}

{% block title %}{% trans "Paperwork - Usage statistics" %}{% endblock %}

{% block extra_headers %}

<script src="{% static "chart.umd.js" %}"></script>
<style>
hr {
    margin: 2em auto;
}

h2 {
    margin-bottom: 20px;
}

#stats_backlinks {
    font-size: 1.5em;
    text-align: center;
}

#graph_and_next {
    text-align: center;
}

#graph_and_next a:hover {
    text-decoration: underline;
}

#graph {
    display: inline-block;
    vertical-align: top;
    border-right: 1px solid black;
    border-top: 1px solid black;
    margin-bottom: 30px;
    text-align: center;
    padding: 30px;
    padding-bottom: 0px; /* graph already reserve a lot of space */
}

#highscores_div {
    width: 200px;
    display: inline-block;
}

#highscores, ol, ol li {
    text-align: left;
}

#selectors {
    text-align: center;
}

.selector {
    display: inline-block;
    white-space: nowrap;
    line-height: 40px;
    font-size: 0.75em;
}

.selector_left, .selector_middle, .selector_right {
    border: 1px solid gray;
    margin-right: 10px;
    padding: 4px 9px 4px 9px;
    text-decoration: none;
    color: gray;
    background-image: radial-gradient(at top left, #ffffff, #f9f9f9 75%);
}
.selector_left:hover, .selector_right:hover {
    color: black;
}

.selector_selected {
    background-image: radial-gradient(at top left, #ffffff, #89abcd 75%);
    cursor: default;
    color: black;
    padding: 5px 10px 5px 10px;
}
.selector_selected:hover {
    color: black;
    text-decoration: none;
}

.selector_left {
    margin-right: 0px;
    border-right: 0px;
    border-radius: 10px 0px 0px 10px;
}

.selector_right {
    margin-left: 0px;
    border-radius: 0px 10px 10px 0px;
}

.selector_middle {
    margin-left: 0px;
    margin-right: 0px;
    border-right: 0px;
    border-radius: 0px 0px 0px 0px;
}

#next_graphs {
    text-align: left;
    border-top: 1px solid black;
    display: inline-block;
    vertical-align: top;
    padding: 50px;
}

#total {
    font-size: 1.4em;
}

#next_graphs ul {
    padding-left: 20px;
}

#next_graphs ul li {
    font-size: 1.25em;
    margin-bottom: 20px;
}

#next_graphs ul li:before {
    content: ">";
    padding-right: 8px;
}

#next_graphs ul li ul {
    padding-left: 15px;
}
#next_graphs ul li ul li {
    margin-bottom: 0px;
    font-size: 1.0em;
}
#next_graphs ul li ul li:before {
    content: "";
}

#next_graphs ul li ul {
{% if root %}
    display: block;
{% else %}
    display: none;
{% endif %}
}

#next_graphs ul li:hover ul {
    display: block;
}
</style>

{% endblock %}

{% block body %}
<h1>
<a href="{% url 'beacon:statistics' %}">{% trans "Paperwork usage statistics" %}</a>
&gt; {% trans "Current" %}
</h1>

<hr/>

<div id="graph_and_next">

    <p id="selectors">
        <span class="selector">
            <a href="{% stats_url_switch settings 'unit' 'instances' %}"
                class="selector_left
                    {% if settings.unit == 'instances' %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "instances" %}
            </a>
            <a href="{% stats_url_switch settings 'unit' 'nb_documents' %}"
                class="selector_right
                    {% if settings.unit == 'nb_documents' %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "documents" %}
            </a>
        </span>

        <span class="selector">
            <a href="{% stats_url_switch settings 'min_docs' 1000 %}"
                class="selector_left
                    {% if settings.min_docs == 1000 %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "≥ 1000 docs" %}
            </a>
            <a href="{% stats_url_switch settings 'min_docs' 50 %}"
                class="selector_middle
                    {% if settings.min_docs == 50 %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "≥ 50 docs" %}
            </a>
            <a href="{% stats_url_switch settings 'min_docs' 5 %}"
                class="selector_middle
                    {% if settings.min_docs == 5 %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "≥ 5 docs" %}
            </a>
            <a href="{% stats_url_switch settings 'min_docs' 0 %}"
                class="selector_right
                    {% if settings.min_docs == 0 %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "≥ 0 docs" %}
            </a>
        </span>
    </p>

    <p id="stats_backlinks">
        {% trans "Current filters:" %}
        <a href="{% url 'beacon:statistics_pie' %}">{% trans "All" %}</a>
        {% for backlink in backlinks %}
        &nbsp;&gt;&gt;&gt;&nbsp; <a href="{% stats_url backlink %}">{{ backlink.nice_name }}</a>
        {% endfor %}
    </p>

    {% if total == 0 %}
    <p>{% trans "No results" %}</p>
    {% else %}
    <div id="graph">
        <canvas id="graph_canvas"></canvas>

        <script>
(async function() {
    new Chart(
        document.getElementById('graph_canvas'),
        {
            type: 'doughnut',
            data: {
                labels: JSON.parse("{{labels|escapejs}}"),
                datasets: JSON.parse("{{datasets|escapejs}}")
            }
        }
    );
})();
        </script>

        <div id="highscores_div">
            <p id="highscores">
                {% trans "Highscores:" %}
            </p>
            <ol>
                <li>{% blocktrans with score=highscores.0 %}
                    {{ score }} documents
                {% endblocktrans %}</li>
                {% for score in highscores|slice:"1:" %}
                <li>{{ score }}</li>
                {% endfor %}
            </ol>
        </div>
    </div><div id="next_graphs">
        <p id="total">
        {% blocktrans with total=total %}
        Total: {{ total }}
        {% endblocktrans %}
        </p>
        <p id="filter_by">
            {% trans "Filter the results by:" %}
            <ul>
                {% for f in next_filters %}
                <li>{{ f.value }} ({{ f.count }})
                    <ul>
                        {% for s in next_splits %}
                        {% if root %}
                        <li><a href="{% stats_url_switch settings 'split' s.field %}">{{ s.nice_name }}</a></li>
                        {% else %}
                        <li><a href="{% stats_url_filter_split settings f s.field %}">{{ s.nice_name }}</a></li>
                        {% endif %}
                        {% endfor %}
                    </ul>
                </li>
                {% endfor %}
            </ul>
        </p>

    </div>
    {% endif %}

</div>

{% endblock %}
